/*
 * (c) 1996, 1997, 1998 by Polar Pyramid.
 */

#include <math.h>

#include "maths.h"
#include "auxil.h"
#include "sintab.h"


SinTab::SinTab()
{
  for (int i=0; i<SINTABSIZE; i++)
  {
    float alpha = i*TWEEPI/SINTABSIZE;
    rotsin[i] = sin(alpha);
    rotcos[i] = cos(alpha);
  }
  auxil_log(LOG_INF,"SinTab object has been created");
}


SinTab::~SinTab()
{
}


SinTab &SinTab::Obj(void)
{
  static SinTab *st = new SinTab();
  return *st;
}

