
#ifndef SINTAB
#define SINTAB

#define SINTABSIZE 256

#define D_SIN(r) (SinTab::Obj().Sin(r))
#define D_COS(r) (SinTab::Obj().Cos(r))


#include <assert.h>

class SinTab
{
  public:

    SinTab();
    ~SinTab();

    static SinTab &Obj(void);

    float Sin(int discrete_angle)
    {
      assert(discrete_angle < SINTABSIZE);
      return rotsin[discrete_angle];
    }
    float Cos(int discrete_angle)
    {
      assert(discrete_angle < SINTABSIZE);
      return rotcos[discrete_angle];
    }

  protected:

    float rotsin[SINTABSIZE];
    float rotcos[SINTABSIZE];
};


#endif

