/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef ANIMPRES_H
#define ANIMPRES_H


#include <string>

#include "maths.h"
#include "presence.h"

class World;
class GfxScreen;


class AnimatedPresence : public Presence
{
  public:

    AnimatedPresence
    (
      const std::string &myname, 
      const std::string &spritenm, 
      const World &wld
    );
    ~AnimatedPresence();

    virtual void Render(const GfxScreen &scn) const;

    virtual void Update(float dt);

    float lifelen;
    float animlen;
    float looping;
    float lifetime;
};

#endif
