/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#include <typeinfo>	// for typeid()

#include "maths.h"

#include "world.h"
#include "gfxscreen.h"

#include "presence.h"

#include "spritedb.h"


#include "bullet.h"


Bullet::Bullet
(
  const std::string &spritenm, 
  const World &w
) :
  Presence("bullet", spritenm, w)
{
  maxvel = 800.0;
  autoorient = false;
}


Bullet::~Bullet()
{
}


void Bullet::Update(float dt)
{
  Presence::Update(dt); // call parent class update
  if (wallcollision)
    dead=true;
}

