/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef BULLET_H
#define BULLET_H


#include <string>

#include "presence.h"
#include "maths.h"

class World;


class Bullet: public Presence
{
  public:

    Bullet
    (
      const std::string &spritenm, 
      const World &wld
    );
    ~Bullet();

    virtual void Update(float dt);
};

#endif
