/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef ENEMY_H
#define ENEMY_H


#include <string>

#include "presence.h"


class World;


class Enemy: public Presence
{
  public:

    Enemy
    (
      const std::string &name,
      const std::string &spritenm, 
      const World &wld
    );
    ~Enemy();

    virtual void Update(float dt);

    static int enemy_count;
};

#endif
