/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef PLAYER_H
#define PLAYER_H


#include <string>

#include "presence.h"


class World;


class Player: public Presence
{
  public:

    Player
    (
      const std::string &name,
      const std::string &spritenm, 
      const World &wld
    );
    ~Player();
    virtual void Update(float dt);
    virtual void Render(const GfxScreen &scn) const;
 
    bool shielded;

  protected:
    float lifetime;
    float walktime;
};

#endif
