/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef SCORECOUNTER_H
#define SCORECOUNTER_H

class GfxScreen;
class Sprite;

class ScoreCounter
{
  public:

    ScoreCounter();
    ~ScoreCounter();
    void Render(const GfxScreen &scn);
    void Set(int val);
    void Reset(void);
    void Add(int val);
    void Update(float dt);
    static ScoreCounter &TheOne(void);

    float ist_wert;
    float soll_wert;
    float speed;     	// in units per second

  protected:
    void RenderDigit(int x, int y, float digit, const GfxScreen &scn);
    const Sprite &sprite;
};

#endif
