/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#include "sprite.h"
#include "spritedb.h"

SpriteDB::SpriteDB()
{
}


SpriteDB::~SpriteDB()
{
}



const Sprite &SpriteDB::Get(const std::string &nm)
{
  std::map<const std::string, const Sprite *>::const_iterator ip;

  ip = sprites.find(nm);
  if (ip == sprites.end())
  {
    sprites[nm] = new Sprite(nm);
    return *(sprites[nm]);
  }
  else
  {
    return *((*ip).second);
  }
}


SpriteDB &SpriteDB::TheOne(void)
{
  static SpriteDB *db = new SpriteDB();
  return *db;
}

