/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef SPRITEDB_H
#define SPRITEDB_H

#include <string>
#include <map>

class Sprite;
class SpriteDB;

class SpriteDB
{
  public:
    SpriteDB();
    ~SpriteDB();

    const Sprite &Get(const std::string &nm);

    static SpriteDB &TheOne(void);

  protected:
    std::map<const std::string, const Sprite *> sprites;
};

#endif
