/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef FRAMEBUF_H
#define FRAMEBUF_H


class Image16;
class Image32;

class FrameBuffer
{
  public:
    FrameBuffer() : bpp(0) {}
    virtual ~FrameBuffer() {}
    virtual void Blit(const Image16 &im16, int x, int y, bool interlace=false)=0;
    virtual void Blit(const Image32 &im32, int x, int y, bool interlace=false)=0;
    virtual void Clear(void)=0;

    int bpp;
};

#endif
