/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef FRAMEBUFSDL_H
#define FRAMEBUFSDL_H



#include "framebuffer.h"

class SDL_Surface;




class FrameBufferSDL : public FrameBuffer
{
  public:
    FrameBufferSDL();
    virtual ~FrameBufferSDL();
    virtual void Blit(const Image16 &im16, int x, int y, bool interlace=false);
    virtual void Blit(const Image32 &im32, int x, int y, bool interlace=false);
    virtual void Clear(void);

  protected:
    SDL_Surface *screen;
};

#endif
