/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef IM8
#define IM8

#define PIX(x,y) data[(y)*w+(x)]

class Image8
{
  public:

    Image8(const char *fname);
    Image8(int ww, int hh);
    ~Image8();
    void Write(const char *fname) const;
    void Invert(void);
    Image8 *Smooth(void) const;

    int w,h,maxval;
    unsigned char *data;

  protected:
    void ReadPGM (const char *fname);
};

#endif

