/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef SPRITE_H
#define SPRITE_H

#include <string>
#include <vector>

#include "alpha.h"

class Sprite
{
  public:
    Sprite(const std::string &n);
    ~Sprite();
    void Render(unsigned int frm, int x, int y, short *buf) const;


  public:
    std::string name;
    int w;
    int h;
    unsigned int framecount;

  protected:
    struct alphasprite *asprite;
    void *dl;                      // dlopen handle
    std::vector<alphafunctype> funcs;
};

#endif

