/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef SOUNDCLIP_H
#define SOUNDCLIP_H

#include <string>
#include <map>

#include "soundcfg.h"


class SoundClip;
typedef std::map<std::string, SoundClip *> clipmap_t;

class SoundClip
{
  public:
    SoundClip(const std::string &nm);
    ~SoundClip();
    static SoundClip *Get(const std::string &name);

    std::string name;
    int size;
    short *data;

  protected:
    static clipmap_t clips;
};

#endif

