#include <assert.h>

#include "soundengine.h"
#include "soundenginesdl.h"
#include "soundengineoss.h"

std::string SoundEngine::reqtype("sdl");

void SoundEngine::SetType(const std::string &t)
{
  reqtype = t;
}


SoundEngine &SoundEngine::TheOne(void)
{
  static SoundEngine *se = 0;
  
  if (!se)
  {
    if (reqtype=="oss")
      se = new SoundEngineOSS;
    if (reqtype=="sdl")
      se = new SoundEngineSDL;
    assert(se);
  }
  else
  {
    return *se;
  }
  return *se;
}

