/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef PRIMDB_H
#define PRIMDB_H

#include <string>
#include <map>

class WorldPrimitive;

typedef std::map<std::string, WorldPrimitive> primmap_t;

class PrimitiveDatabase
{
  public:
    PrimitiveDatabase();
    ~PrimitiveDatabase();
    void Add(const std::string &name, unsigned char prt);
    const WorldPrimitive &Get(const std::string &name) const;

  protected:
    primmap_t prims;
};

#endif
