/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#include "auxil.h"
#include "primdb.h"
#include "wldprim.h"

#include "wldcell.h"

WorldCell::WorldCell() :
x(0),
y(0),
prim(* new WorldPrimitive())
{
}



WorldCell::WorldCell(const WorldCell &other) :
x(other.x),
y(other.y),
prim(other.prim)
{
}


WorldCell::WorldCell(int cx, int cy, const std::string &primname, const PrimitiveDatabase &primdb):
x(cx),
y(cy),
prim(primdb.Get(primname))
{
}


WorldCell::~WorldCell()
{
}

