/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef INPKEY_H
#define INPKEY_H

struct _XDisplay;

#include <string>
#include <vector>

#include "inputdevice.h"

class InputKeyBoard : public InputDevice
{
  public:
    InputKeyBoard();
    virtual ~InputKeyBoard();
    virtual void Update(float dt);
    virtual float GetAxisValue(int id) const;
    virtual bool  GetButtonValue(int id) const;

  protected:
    _XDisplay *dpy;
    std::vector<short> AxisValues;
    std::vector<bool>  ButtonValues;
};

#endif
