/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef INPDEVICE_H
#define INPDEVICE_H

class InputDevice
{
  public:
    InputDevice() : opened(false), axiscount(0), buttoncount(0) {}
    virtual ~InputDevice() {}
    virtual void Update(float dt)=0;
    virtual float GetAxisValue(int id) const=0;
    virtual bool  GetButtonValue(int id) const=0;

    bool opened;
    unsigned char axiscount;
    unsigned char buttoncount;
};

#endif
