/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef COLLISIONHANDLERS_H
#define COLLISIONHANDLERS_H

class Enemy;
class Bullet;
class Player;
class Generator;


extern void LoadStandardCollisionHandlers(void);


extern void BulletEnemyCollision(Bullet &bullet, Enemy &enemy);


extern void BulletPlayerCollsion(Bullet &bullet, Player &player);


extern void EnemyPlayerCollision(Enemy &enemy, Player &player);


extern void GeneratorPlayerCollision(Generator &generator, Player &player);


#endif
