/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef GENERATOR_H
#define GENERATOR_H


#include <string>

#include "presence.h"


class World;


class Generator: public Presence
{
  public:

    Generator
    (
      const std::string &name,
      const std::string &spritenm, 
      const std::string &enemyspritenm,
      const World &wld
    );
    ~Generator();
    void Spawn(void);
    virtual void Update(float dt);
    virtual void Render(const GfxScreen &scn) const;
    void Speak(void);
    void SetBalloonName(std::string nm);

  protected:
    std::string enemyspritename;
    std::string balloonname;
};

#endif
