/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef IM16_H
#define IM16_H


class Image32;

class Image16
{
  public:

    Image16(const Image32 &im32);
    Image16(int w, int h);
    ~Image16();
    void Write(const char *fname) const;
    void Crop(Image32 &dst, int xoff, int yoff) const;
    void Crop(Image16 &dst, int xoff, int yoff) const;
    short Pix(int x, int y) const;
    void Paste(const Image16 &other, int xoff, int yoff);
    void ClipAndPaste(const Image16 &other, int xoff, int yoff);
    void Clear(short c);

    int w,h,maxval;
    short *data;
};

#endif
