/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef SOUNDCHANNEL_H
#define SOUNDCHANNEL_H

#include "soundcfg.h"
#include "soundclip.h"



class SoundPacket
{
  public:
    short data[SOUNDPACKETSIZE];
};


class SoundChannel
{
  public:
    SoundChannel();
    ~SoundChannel();
    SoundPacket *Pop(void);
    void Paste(SoundClip *clip, int delay);

  protected:
    SoundPacket *packets[SOUNDCHANNELSIZE];
};

#endif
