/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef SOUNDENGINESDL_H
#define SOUNDENGINESDL_H

#include <string>
#include <pthread.h>

#include "soundcfg.h"
#include "soundclip.h"
#include "soundchannel.h"
#include "soundengine.h"


class SoundEngineSDL : public SoundEngine
{
  public:
    SoundEngineSDL();
    ~SoundEngineSDL();

    void Send(unsigned char *stream, int len);
    virtual void Play(const std::string &name, int channel, int delay);
};

#endif

