/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef WLDCELL_H
#define WLDCELL_H

#include <string>

class PrimitiveDatabase;

class WorldCell
{
  public:
    WorldCell();
    WorldCell(const WorldCell &other);
    WorldCell(int cx, int cy, const std::string &primname, const PrimitiveDatabase &primdb);

    ~WorldCell();

    int x,y;
    const WorldPrimitive &prim;
};

#endif
