/*
 * Tux vs Clippy
 * (c)2002-2003 by Bram Stolk
 * b.stolk at chello.nl
 * Licensed under GPL
 */

#ifndef WLDPRIM_H
#define WLDPRIM_H

#include <string>

class Image16;

class WorldPrimitive
{
  public:
    WorldPrimitive();
    WorldPrimitive(const WorldPrimitive &other);
    WorldPrimitive(const std::string &thename, unsigned char print);
    ~WorldPrimitive();

    std::string name;
    unsigned char footprint;  // four bits. 1 means valid worldpos
    Image16 *im;
};

#endif
